<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int $id
 * @property Unidad $unidad_id
 *
 */
class Reserva extends NewModel
{
	protected static $_table = 'reservas';
	
	/**
	 * 
	 * @return Unidad
	 */
	public function unidad()
	{
		return $this->belongsTo(Unidad::class, 'unidad_id')->findOne();
	}
	public function unidades()
	{
		return $this->hasMany(UnidadReserva::class, 'reserva_id')->findMany();
	}
}
?>